Name: keepassx
Summary: KeePassX Cross Platform Password Manager
Version: 0.3.3
Release: 1.PU_IAS.1
License: GPL
Group: Security
Source: keepassx-%{version}.tar.gz


BuildRoot: /tmp/%{name}-%{version}
Packager: Thomas Uphill <uphill@ias.edu>
Distribution: KeePassX
Url: http://keepass.berlios.de
BuildRequires: qt4-vlc-devel, libXtst-devel
Requires: qt4-vlc, libXtst

Vendor: Tarek Saidi


%description
KeePassX is a free/open-source password manager or safe which helps you to manage your passwords in a secure way. You can put all your passwords in one database, which is locked with one master key or a key-disk. So you only have to remember one single master password or insert the key-disk to unlock the whole database. The databases are encrypted using the best and most secure encryption algorithms currently known (AES and Twofish).

%prep
rm -rf $RPM_BUILD_ROOT 
mkdir $RPM_BUILD_ROOT

%setup -q

%build
PATH=/usr/%{_lib}/qt4-vlc/bin:$PATH
export PATH

qmake PREFIX=$RPM_BUILD_ROOT%{_prefix}


%install
PATH=/usr/%{_lib}/qt4-vlc/bin:$PATH
export PATH
make install
mv $RPM_BUILD_ROOT%{_bindir}/%{name} $RPM_BUILD_ROOT%{_bindir}/%{name}-bin
cat <<EOF>>$RPM_BUILD_ROOT%{_bindir}/%{name}
#!/bin/bash
LD_LIBRARY_PATH=/usr/%{_lib}/qt4-vlc/%{_lib}:\$LD_LIBRARY_PATH
export LD_LIBRARY_PATH
exec %{name}-bin \$@
EOF
chmod 755 $RPM_BUILD_ROOT/%{_bindir}/%{name}

cd $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%{_bindir}/keepassx
%{_bindir}/keepassx-bin
%{_datadir}/keepassx
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.xpm

%changelog
* Tue Oct 20 2009 Thomas Uphill <uphill@ias.edu> - 0.3.3
- initial build, using included spec and modifying
- use qt4-vlc package for upgraded qt4 libs
